<?php use_helper('UrlFunctions'); ?>
<?php

if(isset($delete)){
  if($id){
   $o_BalanceDiaBean = new BalanceDiaBean();
   $o_BalanceDiaBean->setFechaBalance($fecha);
   $o_BalanceDiaBean->setIdSucursal($id);
        
   $o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDiaBean);
   $bResult = $o_BalanceDiaDP->delete();
   
   
   //Abrir pedidos
	$o_CierrePedidoDP = new CierrePedidoDP(new CierrePedidoBean());
		
	$o_CierrePedidoDP->operacionPeriodoTotal(3,$fecha,$id,'-1');
	$o_PedidoCabecera = new CrPedidocabeceraDP();
	$o_PedidoCabecera->aperturaTotal($fecha,$id);

   
    //OBTENER DATOS PARA TABLA PROMEDIO DE PRESTAMOS-------
	  
	  $o_PromedioPrestamo = new PromedioPrestamoBean();
	  $o_PromedioPrestamo->setFecha($fecha);
	  $o_PromedioPrestamo->setIdSucursal($id);
	 	  
	  $o_promedioDP = new PromedioPrestamoDP($o_PromedioPrestamo);
	  $o_promedioDP->delete();
	  ///----------------------------------FIN-----------------
   
    if($bResult){
      ?>
      <script language="JavaScript">
      parent.objMainTab.reqBody('<?=buildUrl('bdi/list')?>','001&delete=1&fecha=<?=$fecha?>');
      //parent.objMainTab.windowsCloseAll();
      </script>
      <?
      
    }else{
       $url = buildUrl('bdi/delete', "block=".$block."&error=1");
    }
  } 
}
